com.google.gwt.view.client

## Class RangeChangeEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<RangeChangeEvent.Handler>
    - - com.google.gwt.view.client.RangeChangeEvent

-     public class RangeChangeEvent
      extends GwtEvent<RangeChangeEvent.Handler>

  Represents a range change event.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RangeChangeEvent.Handler` Handler interface for `RangeChangeEvent` events.

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RangeChangeEvent(Range range)` Creates a `RangeChangeEvent`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(RangeChangeEvent.Handler handler)` Should only be called by `HandlerManager`.
    `static void` | `fire(HasRows source, Range range)` Fires a `RangeChangeEvent` on all registered handlers in the handler manager.
    `GwtEvent.Type<RangeChangeEvent.Handler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
    `Range` | `getNewRange()` Gets the new range.
    `static GwtEvent.Type<RangeChangeEvent.Handler>` | `getType()` Gets the type associated with this event.
    `java.lang.String` | `toDebugString()` This is a method used primarily for debugging.

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeChangeEvent

          protected RangeChangeEvent(Range range)

      Creates a `RangeChangeEvent`.
      Parameters:
        `range` - the new range

  - ### Method Detail

    - #### fire

          public static void fire(HasRows source,
                                  Range range)

      Fires a `RangeChangeEvent` on all registered handlers in the handler manager. If no such handlers exist, this method will do nothing.
      Parameters:
        `source` - the source of the handlers
        `range` - the new range

    - #### getType

          public static GwtEvent.Type<RangeChangeEvent.Handler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### getAssociatedType

          public final GwtEvent.Type<RangeChangeEvent.Handler> getAssociatedType()

      Description copied from class: `Event`
      Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
      Specified by:
        `getAssociatedType` in class `GwtEvent<RangeChangeEvent.Handler>`
      Returns:
        the type

    - #### getNewRange

          public Range getNewRange()

      Gets the new range.
      Returns:
        the new range

    - #### toDebugString

          public java.lang.String toDebugString()

      Description copied from class: `Event`
      This is a method used primarily for debugging. It gives a string representation of the event details. This does not override the toString method because the compiler cannot always optimize toString out correctly. Event types should override as desired.
      Overrides:
        `toDebugString` in class `Event<RangeChangeEvent.Handler>`
      Returns:
        a string representing the event's specifics.

    - #### dispatch

          protected void dispatch(RangeChangeEvent.Handler handler)

      Description copied from class: `GwtEvent`
      Should only be called by `HandlerManager`. In other words, do not use or call.
      Specified by:
        `dispatch` in class `GwtEvent<RangeChangeEvent.Handler>`
      Parameters:
        `handler` - handler
      See Also:
        `EventBus.dispatchEvent(Event, Object)`